
local creamery = ...

creamery:registerAssetId("models/creamery.fbx/Prefab/creameryPart", "CREAMERY_PREFAB")

creamery:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "CREAMERY",
--Dclaration du Nom  Sert dans l'ecran de selection du Mod
	Name = "CREAMERY_NAME",
--Renseigne le champ description de l'objet sert a classer l'objet dans les menus
	Description = "CREAMERY_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartList = { "CREAMERY_PART" },
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 8 }
})

creamery:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "CREAMERY_PART",
	Description = "Faut bien a!",
--on dclare d'aller chercher CREAMERY_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "CREAMERY_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 4, 6},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "CREAMERY_PREFAB",
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 2,
                RelatedJob = { Job = "DAIRY_MAID", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "MILK", Quantity = 30 }
                },
                ResourceListNeeded = {
                	{ Resource = "MILK", Quantity = 3 }
                },
                ResourceProduced = {
			{ Resource = "BUTTER", Quantity = 1 }
                }
	}

})

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 6}
})

creamery:registerAssetId("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", "CREAMERY_SMOKE_EMITTER_PREFAB")

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "CREAMERY_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

creamery:registerPrefabComponent("models/creamery.fbx/Prefab/creameryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

