
local pastry = ...

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart", "PASTRY_WORKPLACE_PREFAB")

pastry:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "PASTRY_WORKPLACE",
--Dclaration du Nom  Sert dans l'ecran de selection du Mod
	Name = "PASTRY_WORKPLACE_NAME",
--Renseigne le champ description de l'objet sert a classer l'objet dans les menus
	Description = "PASTRY_WORKPLACE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "GENERAL",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartList = { "PASTRY_WORKPLACE_PART" },
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 8 }
})

pastry:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "PASTRY_WORKPLACE_PART",
	Description = "Faut bien a!",
--on dclare d'aller chercher PASTRY_WORKPLACE_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PASTRY_WORKPLACE_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 4, 6},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "PASTRY_WORKPLACE_PREFAB",
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "BAKER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "EGG", Quantity = 20 },
			{ Resource = "FLOUR", Quantity = 20 },
			{ Resource = "BUTTER", Quantity = 20 },
			{ Resource = "BERRIES", Quantity = 20 },
			{ Resource = "WOOD", Quantity = 20 }
                },
                ResourceListNeeded = {
			{ Resource = "EGG", Quantity = 1 },
			{ Resource = "FLOUR", Quantity = 1 },
			{ Resource = "BUTTER", Quantity = 1 },
			{ Resource = "BERRIES", Quantity = 1 },
			{ Resource = "WOOD", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "PASTRY", Quantity = 1 }
                }
	}

})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {4, 6}
})

pastry:registerAssetId("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", "PASTRY_SMOKE_EMITTER_PREFAB")

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { "PASTRY_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_HOUSING_SMOKE",
	IsPlaying = true,
	IsEmitting = true
})

pastry:registerPrefabComponent("models/pastry.fbx/Prefab/pastryPart/step_0/cheminee/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

